Kotlin Android Extensions Plugin is depreciated . If you are using kotlin-android-extensions and trying to upgrade to gradle , then you may see gradle build warning something like below

The ‘kotlin-android-extensions’ Gradle plugin is deprecated. Please use this migration guide (https://goo.gle/kotlin-android-extensions-deprecation) to start working with View Binding (https://developer.android.com/topic/libraries/view-binding) and the ‘kotlin-parcelize’ plugin.

As the warning says , if you are using for kotlin-android-extensions plugin for view binding or. parcelable then you may consider migrating . If your app uses Parcelable you can use ‘kotlin-parcelize’ instead of ‘kotlin-android-extensions’.

For view binding Use this guide . Remove Kotlin-android-extention and add viewBinding to build.gradle .

android {

buildFeatures {
viewBinding true
}

}
}

 


0 Comments

Leave a Reply

Your email address will not be published. Required fields are marked *